Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PassportElementType

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PassportElementType

Direct Known Subclasses:
  `TdApi.PassportElementTypeAddress`, `TdApi.PassportElementTypeBankStatement`, `TdApi.PassportElementTypeDriverLicense`, `TdApi.PassportElementTypeEmailAddress`, `TdApi.PassportElementTypeIdentityCard`, `TdApi.PassportElementTypeInternalPassport`, `TdApi.PassportElementTypePassport`, `TdApi.PassportElementTypePassportRegistration`, `TdApi.PassportElementTypePersonalDetails`, `TdApi.PassportElementTypePhoneNumber`, `TdApi.PassportElementTypeRentalAgreement`, `TdApi.PassportElementTypeTemporaryRegistration`, `TdApi.PassportElementTypeUtilityBill`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.PassportElementType extends TdApi.Object permits TdApi.PassportElementTypePersonalDetails, TdApi.PassportElementTypePassport, TdApi.PassportElementTypeDriverLicense, TdApi.PassportElementTypeIdentityCard, TdApi.PassportElementTypeInternalPassport, TdApi.PassportElementTypeAddress, TdApi.PassportElementTypeUtilityBill, TdApi.PassportElementTypeBankStatement, TdApi.PassportElementTypeRentalAgreement, TdApi.PassportElementTypePassportRegistration, TdApi.PassportElementTypeTemporaryRegistration, TdApi.PassportElementTypePhoneNumber, TdApi.PassportElementTypeEmailAddress
This class is an abstract base class. Contains the type of a Telegram Passport element.

## Constructor Summary

Constructors
Constructor
Description
`PassportElementType()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PassportElementType

public PassportElementType()
Default class constructor.